Welcome, Guest. Please login or register.
April 19, 2014, 07:49:45 AM
Home Help Search Calendar Login Register
Show unread posts since last visit.
News: Let Pardus-Anka become #1: Pardus-Anka Bug ReportPardus-Anka World Google+ | The Pardus wiki  | Visit Pardus-Anka official website  | Register as forum member?  Email the moderator!

+  Pardus Worldforum
|-+  Assistance
| |-+  Software
| | |-+  PHP4
0 Members and 1 Guest are viewing this topic. « previous next »
Pages: [1] Go Down Print
Author Topic: PHP4  (Read 953 times)
benvdh
Pardus fellow craft
**
Posts: 65


View Profile
« on: June 15, 2007, 18:07:41 PM »

Hey all,

I'm currently working on a personal website which I'm writing in PHP. But I'm having some problems testing the website on my own localhost. The problem is that my host only supports php4 and pardus only has a package for php5. Since the code for using xml in php4 and 5 differs, I would like to know if it's possible to install php4 on pardus too, since I couldn't find it in the repositories.

Regards,

Ben
Logged
Eren.Turkay
Global Moderator
Pardus Master
*****
Posts: 262



View Profile WWW
« Reply #1 on: June 15, 2007, 18:23:57 PM »

Php4 has too security problems and the application written in php4 should work with php5 with some modifications. Have you tried your application with php5 and have you got an error? If so, could you post the error? I advise you to work with php5 (actually, do not work with php, php sucks Tongue, but if you want to work with php, please use php5 and ignore this line ;P)
Logged
benvdh
Pardus fellow craft
**
Posts: 65


View Profile
« Reply #2 on: June 18, 2007, 00:59:10 AM »

Hey,

Thanks for the reply. I personally also like PHP5 better then PHP4. The problem I'm currently having are with the xslt_create and xslt_process functions. These don't exist anymore in PHP5 and are replaced by the  SimpleXML package. The only problem I have is that my freehost is still using PHP4. They have tried using PHP5 in the past, but ran into trouble with that and decided they would run php4 again.  So I think I will just modify my code a bit, so that it will look at the PHP version and then executes the proper piece of code.

Regards,

Ben

ps. what weblanguage would you suggest then instead of php (just a language not a complete development platform like rails or turbogears). And where can I find some documentation for that language aimed at webdesign.
« Last Edit: June 18, 2007, 01:02:18 AM by benvdh » Logged
Eren.Turkay
Global Moderator
Pardus Master
*****
Posts: 262



View Profile WWW
« Reply #3 on: June 18, 2007, 07:34:26 AM »

ps. what weblanguage would you suggest then instead of php (just a language not a complete development platform like rails or turbogears). And where can I find some documentation for that language aimed at webdesign.

I would advise Django (it's complete development platform written in python) but you don't want it. You have no other choice instead of PHP.


Regards,
Eren
Logged
Pages: [1] Go Up Print 
« previous next »
Jump to:  


Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!